<?xml version="1.0" encoding="UTF-8"?>
<!--Licensed to the Apache Software Foundation (ASF) under one or more
    contributor license agreements.  See the NOTICE file distributed with
    this work for additional information regarding copyright ownership.
    The ASF licenses this file to You under the Apache License, Version 2.0
    (the "License"); you may not use this file except in compliance with
    the License.  You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.-->
<!--$Rev: 573020 $ $Date: 2007-09-06 02:17:03 +0800 (Thu, 06 Sep 2007) $-->
<module xmlns="http://geronimo.apache.org/xml/ns/deployment-1.2">
  <environment>
    <moduleId>
      <groupId>org.apache.geronimo.plugins</groupId>
      <artifactId>pluto-support</artifactId>
      <version>3.0.0</version>
      <type>car</type>
    </moduleId>
    <dependencies>
      <dependency>
        <groupId>org.apache.portals</groupId>
        <artifactId>portlet-api_2.0_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-servlet_3.0_spec</artifactId>
        <version>1.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jsp_2.2_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-el_2.2_spec</artifactId>
        <version>1.0.3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.portals.pluto</groupId>
        <artifactId>pluto-container</artifactId>
        <version>2.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.portals.pluto</groupId>
        <artifactId>pluto-container-api</artifactId>
        <version>2.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.portals.pluto</groupId>
        <artifactId>pluto-container-driver-api</artifactId>
        <version>2.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.portals.pluto</groupId>
        <artifactId>pluto-portal-driver</artifactId>
        <version>2.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.portals.pluto</groupId>
        <artifactId>pluto-portal-driver-impl</artifactId>
        <version>2.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.portals.pluto</groupId>
        <artifactId>pluto-taglib</artifactId>
        <version>2.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>commons-beanutils</groupId>
        <artifactId>commons-beanutils</artifactId>
        <version>1.8.3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.commons-io</artifactId>
        <version>1.3.2_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>commons-collections</groupId>
        <artifactId>commons-collections</artifactId>
        <version>3.2.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>jstl</artifactId>
        <version>1.2_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.plugins</groupId>
        <artifactId>geronimo-pluto</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-kernel</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-osgi-registry</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.ops4j.pax.logging</groupId>
        <artifactId>pax-logging-api</artifactId>
        <version>1.6.4</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>asm</groupId>
        <artifactId>asm-all</artifactId>
        <version>3.2</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.cglib</artifactId>
        <version>2.1_3_4</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-finder</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-bundleutils</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-reflect</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xstream</artifactId>
        <version>1.3_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xpp3</artifactId>
        <version>1.1.4c_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-stax-api_1.2_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-crypto</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>commons-digester</artifactId>
        <version>1.8_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-ccpp_1.0_spec</artifactId>
        <version>1.0-beta</version>
        <type>jar</type>
      </dependency>
    </dependencies>
    <hidden-classes/>
    <non-overridable-classes/>
    <private-classes/>
  </environment>
  <gbean name="PlutoPortalServices" class="org.apache.geronimo.pluto.PortalContainerServicesGBean"/>
</module>